Subject: Re: [PATCH] svnimport add support for parsing From lines for author

From: Andy Whitcroft <[email-masked]>
Date: Thu, 28 Sep 2006 11:58:22 +0100

Junio C Hamano wrote:
> Andy Whitcroft <[email-masked]> writes:
> 
>>>> Now that we have support for parsing Signed-off-by: for author
>>>> information it makes sense to handle From: as well.
>>> I take that you are referring to Sasha's change in ae35b304; I
>>> asked for actual svn users for ACK/NACK but I did not hear any.
>>> Can I understand that you use svnimport for real projects and
>>> are happy with Sasha's change? --- that would be an ack that
>>> would help me sleep better ;-).
>> Heh.  Yeah I am tracking a small SVN repository which is using the
>> kernel DCO.  we have From:/S-o-b: much as akpm uses in -mm.  This was
>> the result of seeing that change and wanting to see if it would pick up
>> our sign-offs.  It only seemed deficient in From: handling :).  It seems
>> to work well in practice for me.
> 
> Thanks.
> 
>>> I also wonder instead of piling up custom flags if it is better
>>> to let match-and-extract pattern be specified from the command
>>> line.
>> I did look at reusing the -S flag, such that -S would be S-o-b: handling
>> and -SS would be S-o-b: and From:, but this script is currently using
>> the old getopt implementation which doesn't record repeats.
>>
>> So you're proposing something more like:
>>
>>     git svn-import -S "Signed-off-by:" -S "From:" ...
>>
>> Again, we'll have to update the options handling to get that kind of
>> behaviour.  How would you feel about -SS in this context.
> 
> It was more of an idle speculation than a serious proposal.  I
> do not think there are too many different ways to record the
> authorship information, so having just two hardwired patterns -F
> and -S would be sufficient.  If there were, then string of -S
> options that specify the header-looking strings or match
> patterns would have made more sense.

This one didn't make it onto the git.git whats next page.  Not sure of
protocol in these matters, so I'll just ask.  Has this been rejected or
forgotten?

:)

-apw